Bug 122093 - emulators/vice: several bugs with athena widgets
emulators/vice: several bugs with athena widgets
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 20:20 UTC by oliver
Modified: 2008-07-31 08:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oliver 2008-03-25 20:20:00 UTC
emulators/vice is almost unusable with Athena widgets (xawd3d), if you open the menus they are all in black. So you cannot see a single line. Furthermore it's impossible to use Vice (performance-wise) since several updates of Xorg. The problems are gone if I'm using Gnome as default. Of course there are more dependencies, but at least it's usable again.

Fix: 

VICE_WITH_GNOME as default.
How-To-Repeat: Just compile the default with Athena widgets, open a menu and move the mouse pointer.
Comment 1 Edwin Groothuis freebsd_committer 2008-03-25 20:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2008-03-28 17:33:14 UTC
State Changed
From-To: open->suspended


> if you open the menus they are all in black. So you cannot see a single line. 

the menus will turn black on mous rollover, no fix known. 
Please report it to the developers. 

> Furthermore it's impossible to use Vice (performance-wise) since several updates of Xorg. 

I see no performance problems on FreeBSD 6.3 with Athena widgets (xawd3d).
Comment 3 dfilter freebsd_committer 2008-07-29 04:57:39 UTC
dinoex      2008-07-29 03:57:31 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vice       Makefile distinfo pkg-plist 
  Log:
  - update to 2.0
  PR:             122093
  
  Revision  Changes    Path
  1.62      +9 -2      ports/emulators/vice/Makefile
  1.20      +3 -3      ports/emulators/vice/distinfo
  1.24      +18 -3     ports/emulators/vice/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2008-07-31 08:58:46 UTC
State Changed
From-To: suspended->closed

An update was committed.